kjs Library: KJS::FunctionImp Class Reference (kjs Library)

| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::FunctionImp Class Reference

Implementation class for functions implemented in JS. More...

`#include <internal.h>`

Inheritance diagram for KJS::FunctionImp:

[legend]
Collaboration diagram for KJS::FunctionImp:

[legend]
List of all members.

## Public Member Functions
| FunctionImp (ExecState *exec, const Identifier &n=Identifier::null())
virtual Value | get (ExecState *exec, const Identifier &propertyName) const
virtual void | put (ExecState *exec, const Identifier &propertyName, const Value &value, int attr=None)
virtual bool | hasProperty (ExecState *exec, const Identifier &propertyName) const
virtual bool | deleteProperty (ExecState *exec, const Identifier &propertyName)
virtual bool | implementsCall () const
virtual Value | call (ExecState *exec, Object &thisObj, const List &args)
void | addParameter (const Identifier &n)
Identifier | parameterProperty (int index) const
UString | parameterString () const
virtual CodeType | codeType () const =0
virtual Completion | execute (ExecState *exec)=0
int | firstLine () const
int | lastLine () const
int | sourceId () const
virtual const ClassInfo * | classInfo () const
## Static Public Attributes
static const ClassInfo | info = {"Function", &InternalFunctionImp::info, 0, 0}
## Protected Attributes
Parameter * | param
int | line0
int | line1
int | sid
## Friends
class | ActivationImp

## Detailed Description

Implementation class for functions implemented in JS.

Definition at line 390 of file internal.h.

The documentation for this class was generated from the following files:

- internal.h
- function.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:11 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003